From david-b@pacbell.net Mon May  9 17:25:58 2005
From: David Brownell <david-b@pacbell.net>
Subject: USB: ehci suspend must stop timer
Date: Mon, 9 May 2005 17:23:51 -0700
To: Greg KH <greg@kroah.com>
Message-Id: <200505091723.51476.david-b@pacbell.net>


Force the EHCI watchdog timer off during suspend, in case for some
reason it was still running after the root hub suspended.

Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/host/ehci-hub.c |    1 +
 1 files changed, 1 insertion(+)

--- gregkh-2.6.orig/drivers/usb/host/ehci-hub.c	2005-05-10 11:31:07.000000000 -0700
+++ gregkh-2.6/drivers/usb/host/ehci-hub.c	2005-05-10 11:32:58.000000000 -0700
@@ -72,6 +72,7 @@
 	}
 
 	/* turn off now-idle HC */
+	del_timer_sync (&ehci->watchdog);
 	ehci_halt (ehci);
 	hcd->state = HC_STATE_SUSPENDED;
 
